<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: view.html.php 2011-04-12 05:17:53 svn $
 * @author MADEBYPLAY
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');

class Cu3erViewSlideshow extends JView {

	// Variables for Cu3erHelper helper class
	var $num = 0;
	var $hex_color = 0x000000;
	var $elm_name = null;
	var $slideshow_id = null;

	function display($tpl = null) {
		

		$model = & $this->getModel();

		// getting slideshow data entries
		$slideshow = $model->getData();

		// using model of setup
		$setup_model = &$this->getModel('setup');

		require_once(JPATH_COMPONENT.DS.'helpers'.DS.'cu3er_files.php');

		// getting filedatas
		$filedata = $setup_model->getFileData($remote_url, $files);

		JFilterOutput::objectHTMLSafe($slideshow);

		// new slideshow is published by default
		if(!$slideshow->id) {
			$slideshow->published = 1;
		}

		$this->slideshow_id = $slideshow->id;

		// setting up page title according to the slideshow (new/existing)
		$title = (JRequest::getInt('cid'))? JText::_('Edit Slideshow') : JText::_('Add Slideshow');

		// setting up toolbar buttons (at the right)
		JToolBarHelper::title($title);
		JToolBarHelper::save();
		JToolBarHelper::custom('saveAndNew','save.png','save_f2.png', JText::_('Save &amp; New'), false);
		JToolBarHelper::apply();
		JToolBarHelper::custom('preview', 'preview.png','preview_f2.png', JText::_('Preview'), false);

		require_once(JPATH_COMPONENT.DS.'helpers'.DS.'slideshow_fields.php');
		
		// setting up preview button and SqueezeBox popup for displaying CU3ER (flash & js) preview
		$bar=& JToolBar::getInstance('toolbar');
		if($model->hasJavaScript($slideshow->images_folder)) {
			JToolBarHelper::custom('preview_js', 'preview.png','preview_f2.png', JText::_('Preview JS'), false);
			//$bar->appendButton('Popup', 'preview', JText::_('Preview JS'), '../index.php?option=com_cu3er&view=slideshow&tmpl=component&preview=2&cid='.$slideshow->id, $slideshow->width, $slideshow->height);
		} else {
			unset($slideshow->force_js);
			$field_groups['content'] = 'alternative content';
		}
		JToolBarHelper::custom('slidedefault', 'default.png','default_f2.png', JText::_('Slide Defaults'), false);
		JToolBarHelper::custom('slidesAndTransitions','copy.png','copy_f2.png', JText::_('Slides &amp; Transitions'), false);
		JToolBarHelper::cancel();

		// setting up submenu
		JSubMenuHelper::addEntry(JText::_('Slideshows'), 'index.php?option=com_cu3er&view=slideshows');		
		JSubMenuHelper::addEntry(JText::_('Slide Defaults'), 'index.php?option=com_cu3er&view=slidedefault&cid=' . $slideshow->id);
		JSubMenuHelper::addEntry(JText::_('Slides & Transitions'), 'index.php?option=com_cu3er&view=slides&cid=' . $slideshow->id);
		JSubMenuHelper::addEntry(JText::_('XML Update'), 'index.php?option=com_cu3er&view=xmlupdate&cid=' . $slideshow->id);

		$xml_path = JPATH_COMPONENT_SITE.DS.'slideshows'.DS.$slideshow->id.DS.'CU3ER-config.xml';

		// assigning variables to the template (tmpl/default.php)
		$this->assignRef('xml_path', $xml_path);
		$this->assignRef('filedata', $filedata);
		$this->assignRef('remote_url', $remote_url);
		$this->assignRef('slideshow_params', $slideshow);
		$this->assignRef('hidden_fields', $hidden_fields);
		$this->assignRef('special_fields', $special_fields);
		$this->assignRef('field_groups', $field_groups);

		$num = 0;	

		// SqueezeBox initializator script	
		$js_str = <<<EOD
		
		window.addEvent('domready', function() {

			SqueezeBox.initialize({
				size: {x: {$slideshow->width}, y: {$slideshow->height}},
			});	

		});
EOD;
		$doc =& JFactory::getDocument();

		// adding SqueezeBox initializator script to the HTML head
		$doc->addScriptDeclaration($js_str);

		// adding mootools.js to the HTML head
		JHTML::_('behavior.modal');

		parent::display($tpl);
	}
}
?>